[ModuleList]
ModuleNum=28
Moduleenumdef=
ModuleEnableCtrlPath=
ModuleBypassCtrlPath=
Module0=AE
Module1=AWB
Module2=BLC
Module3=CCM
Module4=3DLUT
Module5=Degamma
Module6=Debayer
Module7=HDRMGE
Module8=DRC
Module9=Gamma
Module10=Dehaze
Module11=DPC
Module12=LDCH
Module13=CPSL
Module14=CPROC
Module15=IE
Module16=ColorAsGrey
Module17=LSC
Module18=BTNR
Module19=YNR
Module20=CNR
Module21=Sharp
Module22=INR
Module23=CAC
Module24=AF
Module25=GAIN
Module26=CSM
Module27=CGC


[AE]
fullpath=/ae_calib
enablepath=/ae_calib/CommCtrl/Enable
bypasspath=
modepath=/ae_calib/CommCtrl/AecOpType
camAlgoResultType=

[AWB]
fullpath=/wb_v32
enablepath=
bypasspath=/wb_v32/control/byPass
modepath=/wb_v32/control/mode
camAlgoResultType=

[BLC]
fullpath=/ablcV32_calib
enablepath=/ablcV32_calib/Blc0TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[CCM]
fullpath=/ccm_calib_v2
enablepath=/ccm_calib_v2/control/enable
bypasspath=
modepath=
camAlgoResultType=

[3DLUT]
fullpath=/lut3d_calib
enablepath=/lut3d_calib/common/enable
bypasspath=
modepath=
camAlgoResultType=

[Degamma]
fullpath=/adegamma_calib
enablepath=/adegamma_calib/DegammaTuningPara/degamma_en
bypasspath=
camAlgoResultType=

[Debayer]
fullpath=/debayer_v2_lite
enablepath=/debayer_v2_lite/param/debayer_en
bypasspath=
modepath=
camAlgoResultType=

[HDRMGE]
fullpath=/amerge_calib_v12
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[DRC]
fullpath=/adrc_calib_v12_lite
enablepath=/adrc_calib_v12_lite/DrcTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[Gamma]
fullpath=/agamma_calib_v11
enablepath=/agamma_calib_v11/GammaTuningPara/Gamma_en
bypasspath=
modepath=
camAlgoResultType=

[Dehaze]
fullpath=/adehaze_calib_v12
enablepath=/adehaze_calib_v12/DehazeTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[DPC]
fullpath=/adpcc_calib
enablepath=/adpcc_calib/DpccTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[LDCH]
fullpath=/aldch
enablepath=/aldch/param/ldch_en
bypasspath=
modepath=
camAlgoResultType=

[CPSL]
fullpath=/cpsl
enablepath=/cpsl/param/enable
bypasspath=
modepath=/cpsl/param/mode
camAlgoResultType=

[CPROC]
fullpath=/cproc
enablepath=/cproc/param/enable
bypasspath=
modepath=
camAlgoResultType=

[IE]
fullpath=/ie
enablepath=/ie/param/enable
bypasspath=
modepath=/ie/param/mode
camAlgoResultType=

[ColorAsGrey]
fullpath=/colorAsGrey
enablepath=/colorAsGrey/param/enable
bypasspath=
modepath=
camAlgoResultType=

[LSC]
fullpath=/lsc_v2
enablepath=/lsc_v2/common/enable
bypasspath=
modepath=
camAlgoResultType=

[BTNR]
fullpath=/bayertnr_v23
enablepath=/bayertnr_v23/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[YNR]
fullpath=/ynr_v22
enablepath=/ynr_v22/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[CNR]
fullpath=/cnr_v30
enablepath=/cnr_v30/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[Sharp]
fullpath=/sharp_v33
enablepath=/sharp_v33/TuningPara/enable
modepath=
camAlgoResultType=
enablegroup=

[AF]
fullpath=/af_v32
enablepath=/af_v32/TuningPara/contrast_af/enable
bypasspath=
modepath=
camAlgoResultType=

[GAIN]
fullpath=/gain_v2
enablepath=/gain_v2/TuningPara/hdrgain_ctrl_enable
bypasspath=
modepath=
camAlgoResultType=

[CSM]
fullpath=/csm
enablepath=
bypasspath=
modepath=/csm/TuningPara/op_mode
camAlgoResultType=

[CGC]
fullpath=/cgc
enablepath=
bypasspath=
modepath=/cgc/TuningPara/op_mode
camAlgoResultType=
